---
title: SVGNumber
slug: Web/API/SVGNumber
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGNumber</code></strong> interface corresponds to the {{cssxref("&lt;number&gt;")}} basic data type.</p>

<p>An <code>SVGNumber</code> object can be designated as read only, which means that attempts to modify the object will result in an exception being thrown.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("SVGNumber.value")}}</dt>
 <dd>A float representing the number.
 <p class="note">Note: If the <code>SVGNumber</code> is read-only, a {{domxref("DOMException")}} with the code NO_MODIFICATION_ALLOWED_ERR is raised on an attempt to change the value.</p>
 </dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't provide any specific methods.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "types.html#InterfaceSVGNumber", "SVGNumber")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "types.html#InterfaceSVGNumber", "SVGNumber")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGNumber")}}</p>
